### Function

# GLib UnicodeScript from_iso15924

since: 2.30

#### Declaration [src]

    GUnicodeScript
    g_unicode_script_from_iso15924 (
      guint32 iso15924
    )

#### Description [src]

Looks up the Unicode script for `iso15924`. ISO 15924 assigns four-letter codes to scripts. For example, the code for Arabic is ‘Arab’. This function accepts four letter codes encoded as a `guint32` in a big-endian fashion. That is, the code expected for Arabic is 0x41726162 (0x41 is ASCII code for ‘A’, 0x72 is ASCII code for ‘r’, etc).

See Codes for the representation of names of scripts for details.

Available since: 2.30

#### Parameters

`iso15924`

  Type: `guint32`

  A Unicode script.

#### Return value

Type: `GUnicodeScript`

The Unicode script for `iso15924`, or of `G_UNICODE_SCRIPT_INVALID_CODE` if `iso15924` is zero and `G_UNICODE_SCRIPT_UNKNOWN` if `iso15924` is unknown.